2 Replies Latest reply on Feb 17, 2017 2:35 AM by 3363076

    upgrading server java

    3363076

      hi expert ,

       

      I am very new to OBIEE so I have a question and please if anyone can explain it step by step that will be great

       

      I have just installed obiee 12c using jdk-8u92 but now my Manager told me that they are planning to upgrade the server java( I am talking about Linux ) to jdk-8u121

       

      and they are asking me to upgrade the server java

       

      So my questions

       

      1 )  how can I upgrade server java

      2 ) if I upgrade server java to jdk-8u121 will it affect the obiee because there I have used jdk-8u92

      3 ) Do I need to upgrade obiee( 12C)  java to jdk-8u121 and If yes how can I do it because everytime I try to do it the node manager doesn't work

       

      Thanks

        • 1. Re: upgrading server java
          Madasamy-Oracle

          Hello,

           

          Please go through the below for how to change.

           

          https://docs.oracle.com/middleware/1221/core/BIEIG/GUID-E6545BC6-D0BF-4521-B3E7-160ABBBB6CD3.htm#BIEIG-GUID-6DA41DE4-22A3-4E0A-8D65-2A39AE74962D

           

          1 )  how can I upgrade server java

          -- just download the .tar.gz and unzip it in a new directory

          2 ) if I upgrade server java to jdk-8u121 will it affect the obiee because there I have used jdk-8u92

          -- No, it wont affect until you change the environment variables and the config files as part of "making the OBIEE to use the new JDK"

          3 ) Do I need to upgrade obiee( 12C)  java to jdk-8u121 and If yes how can I do it because everytime I try to do it the node manager doesn't work

          If you mean to upgrade the JDK inside $ORACLE_HOME/bi , you can still do that. It should not cause any errors to the nodemanager as long as the JDK you use is supported.

           

           

          - Madasamy

          1 person found this helpful
          • 2. Re: upgrading server java
            3363076

            hi Madasamy-Oracle

             

            i upgraded java as you showed and its working fine but i got another problem

            i was trying to apply patches to my obiee 12c but  its showing the error which is  " The isntallation jdk 1.8.0_92 which is the old one is not accessible

             

            i upgraded that to 1.8.0_121 but when i am setting the environment variable for opatch it still wants the jdk 1.8.0_92 and its not the picking the new one which is 1.8.0_121so how can i make it works so that it work with the new jdk

             

            Thanks